Last Comment Bug 331487 - Fix GROUP_BY_FOLDER in query system
: Fix GROUP_BY_FOLDER in query system
Status: RESOLVED INVALID
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: P3 normal with 9 votes (vote)
: ---
Assigned To: Ondrej Brablc
:
Mentors:
Depends on: 369657 369658 378799 385245
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 10:03 PST by Brett Wilson
Modified: 2009-11-26 05:58 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
partial work (5.18 KB, patch)
2006-04-18 12:51 PDT, Ben Goodger (use ben at mozilla dot org for email)
no flags Details | Diff | Review

Description Brett Wilson 2006-03-23 10:03:17 PST
The current query system doesn't do anything with GROUP_BY_FOLDER. It just assumes for bookmark queries that you want folders, and for history queries you don't. The only thing this option would help is for nested tags if you want all items in the folder and it's descendents to appear in a flat list. Apparently we aren't supporting this, so we can remove this flag.
Comment 1 Ben Goodger (use ben at mozilla dot org for email) 2006-04-18 12:51:53 PDT
Created attachment 218867 [details] [diff] [review]
partial work

This doesn't work, but is a straw man of a group by folder impl.
Comment 2 Brett Wilson 2006-05-08 16:16:41 PDT
Note: we should also make sure using multiple folders in the query gives the same results.
Comment 3 Dietrich Ayala (:dietrich) 2007-06-04 12:19:02 PDT
should resolve this asap, before B1 which is likely when extension developers will really start to flex this stuff.
Comment 4 Dietrich Ayala (:dietrich) 2007-08-17 13:37:17 PDT
making this a tracker for the other GROUP_BY_FOLDER bugs.
Comment 5 Martin Stubenschrott 2007-11-27 04:59:17 PST
B1 is out, and still not fixed. In my extension i need to recursively get all folders as i want to show all bookmarks in a flat list. It would be nice, if this wouldn't be needed.
Comment 6 Ondrej Brablc 2008-01-22 08:01:05 PST
I just want to remind that with bug 385245 all the other groupings will be removed (if patch gets approved). I have now checked that GROUP_BY_FOLDER is only used for the "Recent Tags" query in "Smart Bookmarks". So I will try to remove the last grouping using the mentioned bug.
Comment 7 Ondrej Brablc 2008-02-12 04:04:51 PST
Bug 385245 has been finished and is waiting for review. Grouping was completely replaced with queries. 
Comment 8 Ondrej Brablc 2008-02-27 00:49:40 PST
GROUP_BY_FOLDER has gone with bug 385245, the bug is invalid now.
Comment 9 Gervase Markham [:gerv] 2009-11-26 05:58:26 PST
Bug 451915 - move Firefox/Places bugs to Firefox/Bookmarks and History. Remove all bugspam from this move by filtering for the string "places-to-b-and-h".

In Thunderbird 3.0b, you do that as follows:
Tools | Message Filters
Make sure the correct account is selected. Click "New"
Conditions: Body   contains   places-to-b-and-h
Change the action to "Delete Message".
Select "Manually Run" from the dropdown at the top.
Click OK.

Select the filter in the list, make sure "Inbox" is selected at the bottom, and click "Run Now". This should delete all the bugspam. You can then delete the filter.

Gerv

Note You need to log in before you can comment on or make changes to this bug.